Bug 20032 - Switch single-column templates to Bootstrap grid: Tools
Summary: Switch single-column templates to Bootstrap grid: Tools
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 19980
  Show dependency treegraph
 
Reported: 2018-01-18 15:28 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20032: Switch single-column templates to Bootstrap grid: Tools (6.24 KB, patch)
2018-01-18 15:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20032: Switch single-column templates to Bootstrap grid: Tools (6.30 KB, patch)
2018-01-23 09:35 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20032: Switch single-column templates to Bootstrap grid: Tools (6.38 KB, patch)
2018-02-04 18:00 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-18 15:28:05 UTC
There are several single-column templates in the Tools section which can be updated to use Bootstrap:

batchMod-del.tt
batchMod-edit.tt
koha-news.tt
letter.tt
Comment 1 Owen Leonard 2018-01-18 15:46:34 UTC
Created attachment 70694 [details] [review]
Bug 20032: Switch single-column templates to Bootstrap grid: Tools

This patch updates several single-column Tools templates to
use the Bootstrap grid.

- batchMod-del.tt - Tools -> Batch item deletion -> Submit barcodes or
  item numbers for deletion. The grid is changed for the results and
  confirmation screens.

- batchMod-edit.tt - Tools -> Batch item modification -> Submit barcodes
  or item numbers for modification. The grid is changed for the results
  and confirmation screens.

- koha-news.tt - Tools -> News -> Edit or create a new news item. The
  grid is changed for the edit screen.

- letter.tt - Tools -> Notices and Slips -> Edit or create a notice. The
  grid is changed for the edit screen.

Each of these pages should look correct. The News and Notices page
should have a single centered column with wide margins on either side.
At lower browser widths the margins should disappear.

The batch mod screens should be displayed at full screen width.
Comment 2 Claire Gravely 2018-01-23 09:35:35 UTC
Created attachment 70819 [details] [review]
Bug 20032: Switch single-column templates to Bootstrap grid: Tools

This patch updates several single-column Tools templates to
use the Bootstrap grid.

- batchMod-del.tt - Tools -> Batch item deletion -> Submit barcodes or
  item numbers for deletion. The grid is changed for the results and
  confirmation screens.

- batchMod-edit.tt - Tools -> Batch item modification -> Submit barcodes
  or item numbers for modification. The grid is changed for the results
  and confirmation screens.

- koha-news.tt - Tools -> News -> Edit or create a new news item. The
  grid is changed for the edit screen.

- letter.tt - Tools -> Notices and Slips -> Edit or create a notice. The
  grid is changed for the edit screen.

Each of these pages should look correct. The News and Notices page
should have a single centered column with wide margins on either side.
At lower browser widths the margins should disappear.

The batch mod screens should be displayed at full screen width.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Katrin Fischer 2018-02-04 18:00:55 UTC
Created attachment 71209 [details] [review]
Bug 20032: Switch single-column templates to Bootstrap grid: Tools

This patch updates several single-column Tools templates to
use the Bootstrap grid.

- batchMod-del.tt - Tools -> Batch item deletion -> Submit barcodes or
  item numbers for deletion. The grid is changed for the results and
  confirmation screens.

- batchMod-edit.tt - Tools -> Batch item modification -> Submit barcodes
  or item numbers for modification. The grid is changed for the results
  and confirmation screens.

- koha-news.tt - Tools -> News -> Edit or create a new news item. The
  grid is changed for the edit screen.

- letter.tt - Tools -> Notices and Slips -> Edit or create a notice. The
  grid is changed for the edit screen.

Each of these pages should look correct. The News and Notices page
should have a single centered column with wide margins on either side.
At lower browser widths the margins should disappear.

The batch mod screens should be displayed at full screen width.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-02-15 16:39:46 UTC
Pushed to master for 18.05, thanks to everybody involved!